Subject: RE: 8260/8xx Embedded Boot patch

From: "Allen Curtis" <[email-masked]>
Date: Tue, 27 Aug 2002 21:16:18 -0700

> Please explain these changes.  You shouldn't be using embed_config.c if
> you don't have EMBEDDEDBOOT defined.  The EMBEDDEDBOOT is a generic
> bootloader that should only have unique functions in embed_config.c
> You should be definining a board configuration for whatever you are
> doing and use that.

I am using a modified EST8260 configuration. However the EST8260 embedded
stuff was broke. The bd_info structure was not passed up from head.S. The
call to configure the clocks was missing at the end of embed_config(). You
will also see that I translate the CONFIG_RPX (and other platform
conditionals) into CONFIG_EMBEDDED and use the single conditional compile.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/